#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 nonce
version:              1.0.7
visibility:           public
id:                   nonce-1.0.7-3JC0rXbhWzi3QSsmIsmx0y
key:                  nonce-1.0.7-3JC0rXbhWzi3QSsmIsmx0y
license:              BSD-3-Clause
copyright:            (c) 2014 Prowdsponsor
maintainer:           Prowdsponsor <opensource@prowdsponsor.com>
author:               Felipe Lessa <felipe.lessa@prowdsponsor.com>
homepage:             https://github.com/prowdsponsor/nonce
synopsis:             Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.

    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.

category:             Cryptography
abi:                  16408e018eb26cd120b194a234dff3ce
exposed:              True
exposed-modules:      Crypto.Nonce
import-dirs:          /usr/lib/ghc-9.0.1/site-local/nonce-1.0.7
library-dirs:         /usr/lib/ghc-9.0.1/site-local/nonce-1.0.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/nonce-1.0.7
hs-libraries:         HSnonce-1.0.7-3JC0rXbhWzi3QSsmIsmx0y
depends:
    base-4.15.0.0 base64-bytestring-1.2.0.1-JzCUR1lvHkYGhV3JuhtpaC
    bytestring-0.10.12.1 entropy-0.4.1.6-20AgG3k2lEz82Sb91ht0xQ
    text-1.2.4.1 transformers-0.5.6.2
    unliftio-0.2.19-64eiq7ca1MFG9cNTjG7x4R
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN

haddock-interfaces:   /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html:         /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

